#! /bin/sh
# -------------------------------------------------------------
# Created July  8, 2009 by William A. Perkins
# Last Change: Mon Jul 13 08:07:06 2009 by William A. Perkins <d3g096@PE10900.pnl.gov>
# -------------------------------------------------------------

# -------------------------------------------------------------
# make sure this is GRASS
# -------------------------------------------------------------

if [ "$GISRC" = "" ]; then
	echo "Sorry, you are not running GRASS" >&2
    exit 1
fi

eval `g.gisenv`
: ${GISBASE?} ${GISDBASE?} ${LOCATION_NAME?} ${MAPSET?}

# -------------------------------------------------------------
# drawit
# -------------------------------------------------------------
drawit() {
    d.mon start=PNG

    d.font font="Arial"

    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,2 
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,10 -s 
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,20 -t -s
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,30 -t -f
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,38 -l
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,50 -l -t
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,60 -l -t -s
    d.barscale tcolor=0:0:0 bcolor=153:153:153 at=2,70 -l -s
    d.barscale tcolor=0:0:0 bcolor=204:204:204 at=90,2 -n

    d.mon stop=PNG
}

# -------------------------------------------------------------
# variable initialization
# -------------------------------------------------------------

set -xue

GRASS_TRUECOLOR=TRUE
GRASS_RENDER_IMMEDIATE=FALSE
export GRASS_TRUECOLOR GRASS_RENDER_IMMEDIATE

# -------------------------------------------------------------
# main program
# -------------------------------------------------------------

g.region -d

# make a default sized image; d.scalebar works OK for this size

GRASS_WIDTH=640
GRASS_HEIGHT=480
GRASS_PNGFILE="barscale-default.png"
export GRASS_WIDTH GRASS_HEIGHT GRASS_PNGFILE

drawit

# make a big image (3x larger)

GRASS_WIDTH=1920
GRASS_HEIGHT=1440
GRASS_PNGFILE="barscale-big.png"
export GRASS_WIDTH GRASS_HEIGHT GRASS_PNGFILE

drawit



